WordPress.org

Ready to get started?Download WordPress

Forums

Conditional Widgets
1.0.1 Fixes array warnings - Custom Post Types? (2 posts)

  1. Richard Tape
    Member
    Posted 3 years ago #

    Hey man,

    Again, great work. The 1.0.1 update seems to have fixed the few warnings and errors and now seems to work which is great. Don't let other people who give unhelpful or frankly rude feedback put you off - this is genuinely a brilliant plugin, so thank you for it.

    I'm glad to hear that you'll think about custom post type support. I had a look around your code and a look at the codex and it seems that what you'll need is the get_post_types() function.

    If you stick with your current programming methodology, this means you might have to dynamically generate classes for your custom walkers depending on what and how many custom post types there are. Probably not the most ideal solution, but it'll probably work. If I can think of a neater solution, I'll post back here.

    Again, thanks so much for this plugin.

    http://wordpress.org/extend/plugins/conditional-widgets/

  2. Rob
    Member
    Posted 2 years ago #

    I very much agree with the "iamfriendly" I have personally added Conditional Widgets to my standard set of plugins that I install on every WordPress site I design. It is a phenomenal plugin. It's incredibly easy to use and remarkably flexible. The way you thought out the admin on the widget just must makes logical sense.

    I too would love to see custom post type support. I have been playing around with several premium themes all of which have custom post type sections built in. Adding that feature would make this plugin a no-brainer for WordPress developers looking for complete customization solution.

    Thank you very much for a fantastic plugin!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic